Skip to main content
GET
Get a deep search by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the deep search to retrieve

Response

Deep search details

id
string<uuid>

Deep search ID

object
enum<string>

Object type identifier

Available options:
deep_search
status
enum<string>

Current status of the deep search

Available options:
in_progress,
completed,
failed,
cancelled
created_at
number

Unix timestamp of when the deep search was created

query
string

The original search query

scope
enum<string>

The scope of the search results

Available options:
segment,
file
text
string | null

LLM-generated synthesis text summarizing the results

results
object[] | null

Array of search results

total
integer

Total number of results

limit
integer

Maximum number of results requested

search_queries
object[] | null

Intermediate search query plans (included when requested via include=['search_queries'])

usage
object | null

Token and search call usage

error
object | null

Error details if the deep search failed